Installation Instructions
*************************

Dependencies
============

* APR (http://apr.apache.org/)
* libConfuse (http://www.nongnu.org/confuse/)
* expat (http://expat.sourceforge.net/)
* pkg-config (http://www.freedesktop.org/wiki/Software/pkg-config)
* python (http://www.python.org/)
* PCRE (http://www.pcre.org/)
* RRDtool (http://oss.oetiker.ch/rrdtool/)

Basic Installation
==================

Briefly, the shell commands `./configure; make; make install' should
configure, build, and install this package.

The use of a GNU build chain (Make and C compiler) is encouraged but not
compulsory.

Compilers and Options
=====================

Some systems require unusual options for compilation or linking that the
`configure' script does not know about.  Run `./configure --help' for
details on some of the pertinent environment variables.

You can give `configure' initial values for configuration parameters
by setting variables in the command line or in the environment.  Here
is an example:

     ./configure CC="gcc -std=gnu99" CFLAGS=-g LIBS=-lposix

Optional Features
=================

support for python as a metric scripting language is optional and could be
disabled by using :

  --disable-python

the PCRE dependency is only needed to allow for the use of templates to
define metric names using "name_match" in gmond.conf and could be disabled
by using :

  --without-libpcre

gmetad is only needed to be able to generate reports and summary of the metric
data collected and so will only be built if explicitally requested with :

  --with-gmetad

for more details in some of the flags available refer to the README and the
ouput of :

  ./configure --help

Web interface
=============

As of version 3.4.0, the web interface is a separate distribution tarball
and maintained in a separate source code repository.  Please download
from http://ganglia.info

Users of the legacy web interface, which was distributed with ganglia < 3.3.0,
should be able to seamlessly migrate to the new interface, with no
effort required to migrate historic data (apart from issues with
case sensitive filenames, the fixes for this issue are not directly
related to the change of web interface, but it is likely to impact
people transitioning from a legacy Ganglia system).

At the time of writing, the Ganglia web interface (3.4.0) works with all
versions of gmond/gmetad >= 3.0.0

Future versions of the Ganglia web interface may require a particular
version of gmond or gmetad: please check the installation documentation
within the web tarball for exact details.

